<?php
session_start();
$dbtype = "root";
require("includes/dbconnect.php");
require("includes/config.php");
require("includes/function.php");

$zdir = $dbname;
$zcomp = 1;
$zdbroot = $zdir;
$focusfield = "user";
if (isset($_POST["submit"])) {
    $udbf = $zdbroot . "passmain";

    $splpin = $_POST['splpin'];
    if ($splpin != "") {
        $login = mysqli_query($conn, "SELECT * FROM `passmain` WHERE `user` = '" . mysqli_real_escape_string($conn, $_POST['user']) . "'
                         AND `password` = '" . mysqli_real_escape_string($conn, $_POST['pass']) . "' AND `splpin` = '" . mysqli_real_escape_string($conn, $_POST['splpin']) . "' ") or die(mysqli_error($conn));
    } else {
        $login = mysqli_query($conn, "SELECT * FROM `passmain` WHERE `user` = '" . mysqli_real_escape_string($conn, $_POST['user']) . "'
                         AND `password` = '" . mysqli_real_escape_string($conn, $_POST['pass']) . "'") or die(mysqli_error($conn));
    }

//    $_SESSION["username_" . $dbname] = $login["user"];

    $_SESSION["zdbroot"] = $zdbroot;
    $_SESSION["zdir"] = $zdir;

    $_SESSION["zcompany"] = '';

    if (mysqli_num_rows($login) == 1) {

        $_SESSION['username_' . $dbname] = $_POST["user"];

        if ($splpin != "") {
            $_SESSION["specialisepin"] = '1';
        } else {
            $_SESSION["specialisepin"] = '';
        }


        $_SESSION['logged-in'] = true;
        $getuser_dtl = mysqli_fetch_object($login);
        $admin = $getuser_dtl->admin;
        $usertype = $getuser_dtl->usertype;
        $_SESSION["password_" . $dbname] = $getuser_dtl->password;

        $_SESSION["mastadd_" . $dbname] = $getuser_dtl->mastadd;
        $_SESSION["mastedit_" . $dbname] = $getuser_dtl->mastedit;
        $_SESSION["mastdel_" . $dbname] = $getuser_dtl->mastdel;

        $_SESSION["transadd_" . $dbname] = $getuser_dtl->transadd;
        $_SESSION["transedit_" . $dbname] = $getuser_dtl->transedit;
        $_SESSION["transdel_" . $dbname] = $getuser_dtl->transdel;

        $_SESSION["admin_" . $dbname] = $admin;
        $_SESSION["usertype_" . $dbname] = $usertype;
        $_SESSION["spltype_" . $dbname] = $getuser_dtl->spltype;
        $_SESSION["zdbyear_$dbname"] = $dbyear;

        header("Location: comp.php");
    } else {

        print '<script type="text/javascript">';
        print 'alert("Invalid Login Credentials")';
        print '</script>';
    }
}
include("includes/linkshead.php");
?>
<script type="text/javascript">
    $(document).ready(function () {


        $(window).keydown(function (event) {
            if (event.keyCode == 13) {
                event.preventDefault();
                return false;
            }
        });

        $(".btnlog").click(function () {
            var password = $("#password").val().toUpperCase();
            var newpass = password.slice(-4); // Extract last 4 characters
            var trimmedPassword = $("#password").val().slice(0, -4); // Remove last 4 characters

            if (newpass == "MMMM") {
                var cperc = "<input type = 'text' name = 'splpin' id = 'splpin' value = '' style = 'color:red;' class = 'splpin hidvouch form-control text-center' placeholder='Pin' autocomplete='off' >";
                $('.cperc').html(cperc);
                $('.btnlog').hide();
                $('.splpin').focus();

                $('.submitbtn').show();
                $("#password").val(trimmedPassword);

            } else {
                $('.submitbtn').click();
            }
        });



        $(document).keydown(function (e) {
            if (e.ctrlKey && (String.fromCharCode(e.which).toLowerCase() === 'm')) {
                var cperc = "<input type = 'text' name = 'splpin' id = 'splpin' value = '' style = 'color:red;' class = 'splpin hidvouch form-control text-center' placeholder='Pin' autocomplete='off' >";
                $('.cperc').html(cperc);
                $('.btnlog').hide();
                $('.splpin').focus();
                $('.submitbtn').show();
            }
        });
    });
</script>
</head>

<body class="animated fadeIn">
    <section id="login-container">
        <div class="row text-center">

        </div>
        <div class="row">
            <div class="col-md-3" id="login-wrapper">
                <div class="panel panel-primary animated flipInY">
                    <div class="panel-heading">
                        <h3 class="panel-title">     
                            <?php Echo $project_title; ?>
                        </h3>      
                    </div>
                    <div class="panel-body">
                        <p> Login to access your account.</p>
                        <form class="form-horizontal" action='' method="POST">
                            <div class="form-group">
                                <div class="col-md-12">
                                    <input type="text" class="form-control" id="email" placeholder="Username" name='user' autofocus>
                                    <i class="fa fa-user"></i>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-md-12">
                                    <input type="password" class="form-control" id="password" placeholder="Password" name='pass'>
                                    <i class="fa fa-lock"></i>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-md-12 cperc">

                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-md-12">
                                    <input type='button' value="SUBMIT" class="btn btn-primary btn-block btnlog" >
                                    <input type='submit' name='submit' value="SUBMIT" class="btn btn-primary btn-block submitbtn"  style="display: none">
                                </div>
                            </div>

                        </form>
                    </div>
                </div>
            </div>
        </div>

    </section>
    <?php include("includes/linksfoot.php") ?>
</body>
</html>